use super::{configuration::ConfigID, measurement::OutMeasurement};

#[derive(Debug, Clone, Copy, PartialEq, Eq, PartialOrd, Ord)]
pub struct ResultID(pub(crate) i64);

#[derive(Debug)]
pub struct Result {
    pub id: ResultID,
    pub time: i64,
    pub config_id: ConfigID,
    pub status: String,
    pub measurements: Vec<OutMeasurement>,
}
